#ifndef NONE_NM_H
#define NONE_NM_H

#include "TYW_stdint.h"

void None_NM_Init(void);
void None_NM_Service(void);
uint32_t NM_Idle_Timer_Get(void);
uint32_t IgnOffChgWak_Time_Get(void);
void IgnOffChgWak_Time_Set(uint32_t time);
uint16_t Turn_Delay_Time_Get(void);
void Turn_Delay_Time_Set(uint16_t value);

NM_Mode_t None_NM_Mode(void);
void None_NM_Request(void);
void None_NM_Release(void);

#endif
